
Installer - Feature #27264

Make ansible depend on 'ansible-runner' package

07/10/2019 03:17 PM - Ondřej Ezr

Status: Closed   

Priority: Normal   

Assignee: Ondřej Ezr   

Category: Foreman modules   

Target version:    

Difficulty:  Fixed in Releases: 1.23.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman_proxy/pull/515

  

Description

To enable ansible-runner implementation being an default option, we need to depend on the 'ansible-runner' package.

For now, we need to depend on third party repository for that.

Associated revisions

Revision fe035de6 - 07/29/2019 04:40 PM - Ondřej Ezr 

Fixes #27264 - Install ansible-runner package when installing ansible

This installs ansible-runner by default when installing the Foreman Proxy

Ansible plugin. Because it's not in EPEL or Debian, additional repositories are

enabled. For users who sync repositories, there's a switch to disable those.

Since it's all optional, there's also a switch to disable the installation

altogether.

History

#1 - 07/10/2019 03:17 PM - Ondřej Ezr

- Category set to Foreman modules

#2 - 07/10/2019 03:21 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/515 added

#3 - 07/29/2019 04:40 PM - The Foreman Bot

- Fixed in Releases 1.23.0 added

#4 - 07/29/2019 05:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman_proxy|fe035de6d6b43feab749c103369ca6dfa7570652.
